<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy Terminal.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_terminal_8hpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">Terminal.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="_terminal_8hpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef TERMINAL_HPP</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define TERMINAL_HPP</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="preprocessor">#include &lt;QTextEdit&gt;</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#include &lt;QDateTime&gt;</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="preprocessor">#include &quot;<a class="code" href="_framed_widget_8hpp.html">FramedWidget.hpp</a>&quot;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="class_terminal.html">   28</a></span><span class="keyword">class </span><a class="code hl_class" href="class_terminal.html">Terminal</a> : <span class="keyword">public</span> <a class="code hl_class" href="class_framed_widget.html">FramedWidget</a></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>{</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>  Q_OBJECT</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>  <span class="keyword">private</span>:</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="class_terminal.html#adcf8c667948ef7bb6007c731976c4286">   39</a></span>    QTextEdit *<a class="code hl_variable" href="class_terminal.html#adcf8c667948ef7bb6007c731976c4286">editor</a>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    <span class="keyword">const</span> QString <a class="code hl_function" href="class_terminal.html#a2c2a517c4e7d243b2a9be48eed28c148">getTimeString</a>();</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_terminal.html#ad54014a5ede6a6da9d3f8c3cc0dd393a">setVLayout</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_terminal.html#a679df2b8a9473791a7190f180c06a1ee">setStoredWidget</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    <a class="code hl_class" href="class_terminal.html">Terminal</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *terminal_title, QWidget *parent = <span class="keyword">nullptr</span>);</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_terminal.html#ad775e6fcf056ddda51a674a3e3f43b11">setBackgroundColour</a>(<span class="keyword">const</span> QPalette &amp; palette);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>  <span class="keyword">public</span> slots:</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_terminal.html#a965c70b8309ba765f8575b46c272c8cf">typeSerialOpenError</a>();</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_terminal.html#aaa6bdacda486c7f68835318acd0ab597">typeSerialReadError</a>();</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_terminal.html#abeee2c56557f7086f2212548c49fdc0e">typeSerialReady</a>();</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_terminal.html#ac7dee8173df7da33ac52dc399a2a2361">typeSerialEnded</a>();</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_terminal.html#a309e9e3b36e0af1fbf7df19a36ec58dd">typeObstacleDetected</a>();</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_terminal.html#a18a4559d30c3e67c7d76964460aa0681">typePlLang</a>();</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_terminal.html#a7a46effe2bef072b6dfe72a52551edaa">typeEngLang</a>();</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>};</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span> </div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span><span class="preprocessor">#endif </span><span class="comment">// TERMINAL_HPP</span></div>
<div class="ttc" id="a_framed_widget_8hpp_html"><div class="ttname"><a href="_framed_widget_8hpp.html">FramedWidget.hpp</a></div><div class="ttdoc">Definicja klasy FramedWidget.</div></div>
<div class="ttc" id="aclass_framed_widget_html"><div class="ttname"><a href="class_framed_widget.html">FramedWidget</a></div><div class="ttdoc">Klasa bazowa głównych widgetów okna aplikacji.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00025">FramedWidget.hpp:26</a></div></div>
<div class="ttc" id="aclass_terminal_html"><div class="ttname"><a href="class_terminal.html">Terminal</a></div><div class="ttdoc">Wyświetla różnego typu komunikaty.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8hpp_source.html#l00028">Terminal.hpp:29</a></div></div>
<div class="ttc" id="aclass_terminal_html_a18a4559d30c3e67c7d76964460aa0681"><div class="ttname"><a href="class_terminal.html#a18a4559d30c3e67c7d76964460aa0681">Terminal::typePlLang</a></div><div class="ttdeci">void typePlLang()</div><div class="ttdoc">Wyświetla komunikat o zmianie języka na polski.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8cpp_source.html#l00120">Terminal.cpp:120</a></div></div>
<div class="ttc" id="aclass_terminal_html_a2c2a517c4e7d243b2a9be48eed28c148"><div class="ttname"><a href="class_terminal.html#a2c2a517c4e7d243b2a9be48eed28c148">Terminal::getTimeString</a></div><div class="ttdeci">const QString getTimeString()</div><div class="ttdoc">Zwraca aktualny czas w formie tekstu.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8cpp_source.html#l00065">Terminal.cpp:65</a></div></div>
<div class="ttc" id="aclass_terminal_html_a309e9e3b36e0af1fbf7df19a36ec58dd"><div class="ttname"><a href="class_terminal.html#a309e9e3b36e0af1fbf7df19a36ec58dd">Terminal::typeObstacleDetected</a></div><div class="ttdeci">void typeObstacleDetected()</div><div class="ttdoc">Wyświetla komunikat o wykryciu przeszkody.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8cpp_source.html#l00111">Terminal.cpp:111</a></div></div>
<div class="ttc" id="aclass_terminal_html_a679df2b8a9473791a7190f180c06a1ee"><div class="ttname"><a href="class_terminal.html#a679df2b8a9473791a7190f180c06a1ee">Terminal::setStoredWidget</a></div><div class="ttdeci">void setStoredWidget() override</div><div class="ttdoc">Inicjalizuje widgety pochodne.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8cpp_source.html#l00033">Terminal.cpp:33</a></div></div>
<div class="ttc" id="aclass_terminal_html_a7a46effe2bef072b6dfe72a52551edaa"><div class="ttname"><a href="class_terminal.html#a7a46effe2bef072b6dfe72a52551edaa">Terminal::typeEngLang</a></div><div class="ttdeci">void typeEngLang()</div><div class="ttdoc">Wyświetla komunikat o zmianie języka na angielski.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8cpp_source.html#l00129">Terminal.cpp:129</a></div></div>
<div class="ttc" id="aclass_terminal_html_a965c70b8309ba765f8575b46c272c8cf"><div class="ttname"><a href="class_terminal.html#a965c70b8309ba765f8575b46c272c8cf">Terminal::typeSerialOpenError</a></div><div class="ttdeci">void typeSerialOpenError()</div><div class="ttdoc">Wyświetla komunikat o błędzie otworzenia portu szeregowego.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8cpp_source.html#l00075">Terminal.cpp:75</a></div></div>
<div class="ttc" id="aclass_terminal_html_aaa6bdacda486c7f68835318acd0ab597"><div class="ttname"><a href="class_terminal.html#aaa6bdacda486c7f68835318acd0ab597">Terminal::typeSerialReadError</a></div><div class="ttdeci">void typeSerialReadError()</div><div class="ttdoc">Wyświetla komunikat o błędzie wczytania danych.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8cpp_source.html#l00084">Terminal.cpp:84</a></div></div>
<div class="ttc" id="aclass_terminal_html_abeee2c56557f7086f2212548c49fdc0e"><div class="ttname"><a href="class_terminal.html#abeee2c56557f7086f2212548c49fdc0e">Terminal::typeSerialReady</a></div><div class="ttdeci">void typeSerialReady()</div><div class="ttdoc">Wyświetla komunikat o prawidłowej konfiguracji portu.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8cpp_source.html#l00102">Terminal.cpp:102</a></div></div>
<div class="ttc" id="aclass_terminal_html_ac7dee8173df7da33ac52dc399a2a2361"><div class="ttname"><a href="class_terminal.html#ac7dee8173df7da33ac52dc399a2a2361">Terminal::typeSerialEnded</a></div><div class="ttdeci">void typeSerialEnded()</div><div class="ttdoc">Wyświetla komunikat o zakończeniu połączenia z portem.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8cpp_source.html#l00093">Terminal.cpp:93</a></div></div>
<div class="ttc" id="aclass_terminal_html_ad54014a5ede6a6da9d3f8c3cc0dd393a"><div class="ttname"><a href="class_terminal.html#ad54014a5ede6a6da9d3f8c3cc0dd393a">Terminal::setVLayout</a></div><div class="ttdeci">void setVLayout() override</div><div class="ttdoc">Ustawia widgety pochodne w pionie.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8cpp_source.html#l00044">Terminal.cpp:44</a></div></div>
<div class="ttc" id="aclass_terminal_html_ad775e6fcf056ddda51a674a3e3f43b11"><div class="ttname"><a href="class_terminal.html#ad775e6fcf056ddda51a674a3e3f43b11">Terminal::setBackgroundColour</a></div><div class="ttdeci">void setBackgroundColour(const QPalette &amp;palette)</div><div class="ttdoc">Ustawia tło edytora.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8cpp_source.html#l00054">Terminal.cpp:54</a></div></div>
<div class="ttc" id="aclass_terminal_html_adcf8c667948ef7bb6007c731976c4286"><div class="ttname"><a href="class_terminal.html#adcf8c667948ef7bb6007c731976c4286">Terminal::editor</a></div><div class="ttdeci">QTextEdit * editor</div><div class="ttdoc">Wyświetla komunikaty.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8hpp_source.html#l00039">Terminal.hpp:39</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_72345776cd6700fb0dedb8f1faaa0c00.html">inc</a></li><li class="navelem"><a class="el" href="_terminal_8hpp.html">Terminal.hpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
